uniform float pixCoordYOffset;
vec2 pixcoord = vec2(gl_FragCoord.x, pixCoordYOffset-gl_FragCoord.y);
vec4 jsl_sample(sampler2D img, vec2 pos) {
    pos.y = 1.0 - pos.y;
    return texture2D(img, pos);
}
uniform sampler2D baseImg;
const int MAX_KERNEL_SIZE = 127;
uniform vec4 kvals[127];
uniform int kernelSize;
uniform vec4 shadowColor;
void main() {
int i;
float sum = 0.0;
{
sum += kvals[0].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[0].xy).a;
}
{
sum += kvals[1].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[1].xy).a;
}
{
sum += kvals[2].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[2].xy).a;
}
{
sum += kvals[3].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[3].xy).a;
}
{
sum += kvals[4].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[4].xy).a;
}
{
sum += kvals[5].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[5].xy).a;
}
{
sum += kvals[6].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[6].xy).a;
}
{
sum += kvals[7].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[7].xy).a;
}
{
sum += kvals[8].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[8].xy).a;
}
{
sum += kvals[9].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[9].xy).a;
}
{
sum += kvals[10].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[10].xy).a;
}
{
sum += kvals[11].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[11].xy).a;
}
{
sum += kvals[12].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[12].xy).a;
}
{
sum += kvals[13].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[13].xy).a;
}
{
sum += kvals[14].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[14].xy).a;
}
{
sum += kvals[15].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[15].xy).a;
}
{
sum += kvals[16].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[16].xy).a;
}
{
sum += kvals[17].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[17].xy).a;
}
{
sum += kvals[18].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[18].xy).a;
}
{
sum += kvals[19].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[19].xy).a;
}
{
sum += kvals[20].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[20].xy).a;
}
{
sum += kvals[21].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[21].xy).a;
}
{
sum += kvals[22].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[22].xy).a;
}
{
sum += kvals[23].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[23].xy).a;
}
{
sum += kvals[24].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[24].xy).a;
}
{
sum += kvals[25].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[25].xy).a;
}
{
sum += kvals[26].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[26].xy).a;
}
{
sum += kvals[27].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[27].xy).a;
}
{
sum += kvals[28].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[28].xy).a;
}
{
sum += kvals[29].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[29].xy).a;
}
if (30 < kernelSize)
{
sum += kvals[30].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[30].xy).a;
}
if (31 < kernelSize)
{
sum += kvals[31].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[31].xy).a;
}
if (32 < kernelSize)
{
sum += kvals[32].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[32].xy).a;
}
if (33 < kernelSize)
{
sum += kvals[33].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[33].xy).a;
}
if (34 < kernelSize)
{
sum += kvals[34].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[34].xy).a;
}
if (35 < kernelSize)
{
sum += kvals[35].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[35].xy).a;
}
if (36 < kernelSize)
{
sum += kvals[36].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[36].xy).a;
}
if (37 < kernelSize)
{
sum += kvals[37].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[37].xy).a;
}
if (38 < kernelSize)
{
sum += kvals[38].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[38].xy).a;
}
if (39 < kernelSize)
{
sum += kvals[39].z * jsl_sample(baseImg, gl_TexCoord[0].st + kvals[39].xy).a;
}
sum = clamp(sum, 0.0, 1.0);
gl_FragColor = sum * shadowColor;
}
